UserGroupListCoupleWrapper (UserManagement-ws 1.0.2-4.2.0-126559 API)
Date: 2016-12-15

org.gcube.vomanagement.usermanagement.ws.utils

## Class UserGroupListCoupleWrapper

- java.lang.Object
- - org.gcube.vomanagement.usermanagement.ws.utils.UserGroupListCoupleWrapper

-     public class UserGroupListCoupleWrapper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserGroupListCoupleWrapper()`
    `UserGroupListCoupleWrapper(org.gcube.vomanagement.usermanagement.model.UserModel userModel, List<org.gcube.vomanagement.usermanagement.model.GroupModel> groupMopdels)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.gcube.vomanagement.usermanagement.model.GroupModel>` | `getGroupModels()`
    `org.gcube.vomanagement.usermanagement.model.UserModel` | `getUserModel()`
    `void` | `setGroupModels(List<org.gcube.vomanagement.usermanagement.model.GroupModel> groupModels)`
    `void` | `setUserModel(org.gcube.vomanagement.usermanagement.model.UserModel userModel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserGroupListCoupleWrapper

          public UserGroupListCoupleWrapper()

    - #### UserGroupListCoupleWrapper

          public UserGroupListCoupleWrapper(org.gcube.vomanagement.usermanagement.model.UserModel userModel,
                                    List<org.gcube.vomanagement.usermanagement.model.GroupModel> groupMopdels)

  - ### Method Detail

    - #### getUserModel

          public org.gcube.vomanagement.usermanagement.model.UserModel getUserModel()

    - #### setUserModel

          public void setUserModel(org.gcube.vomanagement.usermanagement.model.UserModel userModel)

    - #### getGroupModels

          public List<org.gcube.vomanagement.usermanagement.model.GroupModel> getGroupModels()

    - #### setGroupModels

          public void setGroupModels(List<org.gcube.vomanagement.usermanagement.model.GroupModel> groupModels)

Copyright © 2016. All Rights Reserved.